<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Http\Controllers\Backend;

use Seka\Portal\Modul\Statistiky\Entities\Import\Import;
use Seka\Portal\Modul\Statistiky\Http\Controllers\Controller;

/**
 *
 */
final class ImportyController extends Controller
{
    /**
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View|mixed
     * @throws \Illuminate\Contracts\Container\BindingResolutionException
     */
    public function index()
    {
        $importy = Import::query()->orderByDesc('datum_cas_akcie')->paginate();

        return view('Statistiky::backend.pages.importy.index')->with(compact('importy'));
    }
}
